import glob
import os

used_figures=[]
with open("icml_from_neurips_2022.tex", "r") as f:
    for line in f:
        line = line.rstrip()
        if "\includegraphics" in line:
            # find first { and last }
            idx1 = line.index("{")
            idx2 = line.index("}")
            print(line[idx1+1:idx2])
            used_figures.append(line[idx1+1:idx2])
used_figures = set(used_figures)

figure_folders = ["figures3", "figures_icml"]
for folder in figure_folders:
    found_files = glob.glob("{}/**/*.*".format(folder), recursive=True)
    print("Found {} in {}".format(len(found_files), folder))
    print("---------------------")
    for filepath in found_files:
        if filepath not in used_figures:
            print("DELETE:  ", filepath)
            os.remove(filepath)

#print(used_figures)
